- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QGLShader Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qglshaderprogram.h.

`#include <qglshaderprogram.h>`

Inheritance diagram for QGLShader:
[legend]

List of all members.

## Public Types
enum | ShaderTypeBit { Vertex = 0x0001, Fragment = 0x0002, Geometry = 0x0004 }
## Public Member Functions
| QGLShader (QGLShader::ShaderType type, QObject *parent=0)
| QGLShader (QGLShader::ShaderType type, const QGLContext *context, QObject *parent=0)
virtual | ~QGLShader ()
QGLShader::ShaderType | shaderType () const
bool | compileSourceCode (const char *source)
bool | compileSourceCode (const QByteArray &source)
bool | compileSourceCode (const QString &source)
bool | compileSourceFile (const QString &fileName)
QByteArray | sourceCode () const
bool | isCompiled () const
QString | log () const
GLuint | shaderId () const
## Static Public Member Functions
static bool | hasOpenGLShaders (ShaderType type, const QGLContext *context=0)
## Friends
class | QGLShaderProgram

## Member Enumeration Documentation

enum ShaderTypeBit

Search for all occurrences

Enumerator:

  Vertex | Search for all occurrences
  Fragment | Search for all occurrences
  Geometry | Search for all occurrences

Definition at line 66 of file qglshaderprogram.h.

        {
            Vertex          = 0x0001,
            Fragment        = 0x0002,
            Geometry        = 0x0004
        };

## Constructor & Destructor Documentation

QGLShader | ( | QGLShader::ShaderType | type,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

QGLShader | ( | QGLShader::ShaderType | type,
|  | const QGLContext * | context,
|  | QObject * | parent = `0`
| ) |  |

virtual ~QGLShader | ( |  | ) | `[virtual]`

## Member Function Documentation

QGLShader::ShaderType shaderType | ( |  | ) | const

Search for all occurrences

bool compileSourceCode | ( | const char * | source | ) |

Search for all occurrences

bool compileSourceCode | ( | const QByteArray & | source | ) |

Search for all occurrences

bool compileSourceCode | ( | const QString & | source | ) |

Search for all occurrences

bool compileSourceFile | ( | const QString & | fileName | ) |

Search for all occurrences

QByteArray sourceCode | ( |  | ) | const

Search for all occurrences

bool isCompiled | ( |  | ) | const

Search for all occurrences

QString log | ( |  | ) | const

Search for all occurrences

GLuint shaderId | ( |  | ) | const

Search for all occurrences

static bool hasOpenGLShaders | ( | ShaderType | type,
|  | const QGLContext * | context = `0`
| ) |  | `[static]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QGLShaderProgram `[friend]`

Search for all occurrences

Definition at line 95 of file qglshaderprogram.h.

The documentation for this class was generated from the following file:

- QtOpenGL/qglshaderprogram.h

QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader
QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader QGLShader